OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
LinkGraph::EdgeWrapper< Tedge > Class Template Reference

Wrapper for an edge (const or not) allowing retrieval, but no modification. More...

`#include <linkgraph.h>`

Inheritance diagram for LinkGraph::EdgeWrapper< Tedge >:

## Public Member Functions
| EdgeWrapper (Tedge &edge)
| Wrap a an edge.
uint | Capacity () const
| Get edge's capacity.
uint | Usage () const
| Get edge's usage.
Date | LastUnrestrictedUpdate () const
| Get the date of the last update to the edge's unrestricted capacity.
Date | LastRestrictedUpdate () const
| Get the date of the last update to the edge's restricted capacity.
Date | LastUpdate () const
| Get the date of the last update to any part of the edge's capacity.

## Protected Attributes
Tedge & | edge
| Actual edge to be used.

## Detailed Description

### template<typename Tedge>
class LinkGraph::EdgeWrapper< Tedge >

Wrapper for an edge (const or not) allowing retrieval, but no modification.

Template Parameters

  Tedge | Actual edge class, may be "const BaseEdge" or just "BaseEdge".

Definition at line 77 of file linkgraph.h.

## Constructor & Destructor Documentation

template<typename Tedge>

LinkGraph::EdgeWrapper< Tedge >::EdgeWrapper | ( | Tedge & | edge | ) |
| inline

Wrap a an edge.

Parameters

  edge | Edge to be wrapped.

Definition at line 87 of file linkgraph.h.

## Member Function Documentation

template<typename Tedge>

uint LinkGraph::EdgeWrapper< Tedge >::Capacity | ( |  | ) | const
| inline

Get edge's capacity.

Returns
  Capacity.

Definition at line 93 of file linkgraph.h.

Referenced by Path::AddFlow(), LinkGraphOverlay::AddLinks(), and MultiCommodityFlow::Dijkstra().

template<typename Tedge>

Date LinkGraph::EdgeWrapper< Tedge >::LastRestrictedUpdate | ( |  | ) | const
| inline

Get the date of the last update to the edge's restricted capacity.

Returns
  Last update.

Definition at line 111 of file linkgraph.h.

Referenced by DeleteStaleLinks().

template<typename Tedge>

Date LinkGraph::EdgeWrapper< Tedge >::LastUnrestrictedUpdate | ( |  | ) | const
| inline

Get the date of the last update to the edge's unrestricted capacity.

Returns
  Last update.

Definition at line 105 of file linkgraph.h.

Referenced by DeleteStaleLinks().

template<typename Tedge>

Date LinkGraph::EdgeWrapper< Tedge >::LastUpdate | ( |  | ) | const
| inline

Get the date of the last update to any part of the edge's capacity.

Returns
  Last update.

Definition at line 117 of file linkgraph.h.

Referenced by DeleteStaleLinks().

template<typename Tedge>

uint LinkGraph::EdgeWrapper< Tedge >::Usage | ( |  | ) | const
| inline

Get edge's usage.

Returns
  Usage.

Definition at line 99 of file linkgraph.h.

Referenced by LinkGraphOverlay::AddLinks().

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraph.h